<template>
  <section class="container mx-auto my-10 mb-20">
    <div class="grid grid-cols-3">
      <section class="col-span-1">
        <p class="font-bold text-lg mb-8">{{ title }}</p>
        <div class="wrapper--step mb-8">
          <div class="step cursor-pointer" @click="switchTab(1)">
            <div class="number mr-2 flex justify-center items-center" :class="{ active: activeTab === 1 }">
              1
            </div>
            <p>Pilih Lokasi</p>
          </div>
        </div>
        <div class="wrapper--step mb-8">
          <div class="step cursor-pointer" @click="switchTab(2)">
            <div class="number mr-2 flex justify-center items-center" :class="{ active: activeTab === 2 }">
              2
            </div>
            <p>Isi Detail Bantuan</p>
          </div>
        </div>
        <div class="wrapper--step mb-8">
          <div class="step cursor-pointer" @click="switchTab(3)">
            <div class="number mr-2 flex justify-center items-center" :class="{ active: activeTab === 3 }">
              3
            </div>
            <p>Konfirmasi</p>
          </div>
        </div>
      </section>
      <section class="col-span-2">
        <keep-alive>
          <component :is="activeComponent" :ref="activeComponent"></component>
        </keep-alive>
      </section>
    </div>

    <Modal width="456px" height="460px">
      <div class="terms">
        <p class="title">SYARAT DAN KETENTUAN</p>
        <p class="desc">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed elementum nulla augue, eu porttitor dolor
          ullamcorper egestas. Nam laoreet, tellus id consectetur scelerisque, ligula nisl ultrices nibh, nec commodo
          libero tellus tempor nisl. Maecenas tempus ante vel nisl iaculis ultricies. Donec suscipit ultrices massa vel
          euismod. Donec non lobortis dolor, id commodo risus. Nullam euismod et augue sit amet ullamcorper. Maecenas
          consectetur elit erat, quis convallis metus sollicitudin nec. Integer nisl lectus, facilisis at massa sed,
          condimentum molestie purus. Sed urna purus, aliquam et dignissim vel, tincidunt ac tortor. Curabitur gravida
          purus nisl, nec euismod justo tempus at. Class aptent taciti sociosqu ad litora torquent per conubia nostra,
          per inceptos himenaeos. Mauris in tortor volutpat turpis euismod pharetra. Morbi posuere velit et odio
          rhoncus, non pulvinar ipsum faucibus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed elementum
          nulla augue, eu porttitor dolor ullamcorper egestas. Nam laoreet, tellus id consectetur scelerisque, ligula
          nisl ultrices nibh, nec commodo libero tellus tempor nisl. Maecenas tempus ante vel nisl iaculis ultricies.
          Donec suscipit ultrices massa vel euismod.
        </p>
      </div>
    </Modal>
  </section>
</template>

<script>
const Section1 = () => import('~/components/Form/Section1');
const Section2 = () => import('~/components/Form/Section2');
const Section3 = () => import('~/components/Form/Section3');
const Modal = () => import('~/components/Modal');
import { mapState } from 'vuex';
export default {
  components: {
    Section1,
    Section2,
    Section3,
    Modal,
  },
  computed: {
    ...mapState({
      activeTab: state => state.form.active_tab,
      activeComponent: state => state.form.active_component,
      formType: state => state.form.type,
    }),
    title() {
      return this.formType === 'C' ? 'Daftarkan Bantuan Baru' : 'Daftarkan Permintaan Baru';
    },
  },
  beforeDestroy() {
    this.$store.dispatch('form/restoreInitialState');
  },
  methods: {
    async switchTab(v) {
      if (await this.$refs[this.activeComponent].validate()) {
        this.$store.dispatch('form/switchActiveTab', v);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.right {
  width: 850px;
}
.step {
  display: inline-flex;
  align-items: center;
  .number {
    width: 32px;
    height: 32px;
    border-radius: 100%;
    font-size: 14px;
    line-height: 18px;
    font-weight: bold;
    color: $black-alt;
    background-color: $grey;
    &.active {
      background-color: $red;
      color: $white;
    }
  }
}
.terms {
  .desc {
    font-size: 12px;
    line-height: 18px;
    text-align: justify;
  }
  .title {
    font-weight: bold;
    text-align: left;
    font-size: 14px;
    line-height: 20px;
    margin-bottom: 16px;
  }
}
</style>
